0_0.png: Get coverage tile (Lat/Lon center format)

API: rainviewer.com:rainviewer
Endpoint: /v2/coverage/0/{size}/{z}/{lat}/{lon}/0/0_0.png
Response format: image/png
Auth: unknown
Method: GET
Last Status: 200
Latency: 496ms

Description

Returns a PNG image tile indicating radar coverage availability centered on the specified lat/lon coordinates. Transparent areas indicate radar coverage is available; black areas indicate no coverage. Use this to visually show users where radar data exists.

From spec: Returns a PNG coverage mask centered on the specified coordinates.

Usage Tips

- Coverage tiles use fixed color=0 and options=0_0 - Size: 256 or 512 pixels - Zoom (z): 0-7 - Transparent pixels = coverage available - Black pixels = no coverage - Use this to create a coverage overlay on your map

Parameters (4)

lat (number, path, required)

Latitude (must contain decimal point)

lon (number, path, required)

Longitude (must contain decimal point)

size (integer, path, required)

Tile size in pixels

Constraints: {'enum': [256, 512]}

z (integer, path, required)

Zoom level (0-7)

Constraints: {'minimum': 0, 'maximum': 7}

Examples (1)

Coverage tile centered on United States probe-gate

Demonstrates fetching a coverage map tile centered on the geographic center of the continental US to show where radar data is available.

curl 'https://tilecache.rainviewer.com/v2/coverage/0/256/3/39.8283/-98.5795/0/0_0.png'
import requests

resp = requests.get("https://tilecache.rainviewer.com/v2/coverage/0/256/3/39.8283/-98.5795/0/0_0.png")
data = resp.json()
import zingu_apis

api = zingu_apis.api("rainviewer")
result = api.fetch("v2/coverage/0/{size}/{z}/{lat}/{lon}/0/0_0.png")

for item in result:
    print(item)
const resp = await fetch("https://tilecache.rainviewer.com/v2/coverage/0/256/3/39.8283/-98.5795/0/0_0.png");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:53:34.496516 200 496ms
2026-04-15 04:02:53.721914 200 604ms
2026-04-14 00:51:49.873215 200 567ms
2026-04-12 16:32:26.979446 200 693ms
2026-04-10 06:51:46.668502 200 485ms
2026-04-09 02:38:22.417617 200 501ms